import Component from '@glimmer/component';
import { action } from '@ember/object';
import { tracked } from "@glimmer/tracking";

export default class VerseNavComponent extends Component {
  @tracked currentVerse;

  get verseList() {
    let verses = [];
    for (var i = 1; i <= this.args.verses; i++) {
      verses.push(i);
    }
    return verses;
  }

  @action
  verseSelected(book, chapter, verse) {
    this.args.verseSelected(book, chapter, verse);
  }
}
